/* 
html5doctor.com Reset Stylesheet
v1.6.1
Last Updated: 2010-09-17
Author: Richard Clark - http://richclarkdesign.com 
Twitter: @rich_clark
*/
@import url("https://fonts.googleapis.com/css?family=Nunito:400,600,700,800");
@import url("https://fonts.googleapis.com/css?family=Open+Sans");
html, body, div, span, object, iframe,
h1, h2, h3, h4, h5, h6, p, blockquote, pre,
abbr, address, cite, code,
del, dfn, em, img, ins, kbd, q, samp,
small, strong, sub, sup, var,
b, i,
dl, dt, dd, ol, ul, li,
fieldset, form, label, legend,
table, caption, tbody, tfoot, thead, tr, th, td,
article, aside, canvas, details, figcaption, figure,
footer, header, hgroup, menu, nav, section, summary,
time, mark, audio, video {
  margin: 0;
  padding: 0;
  border: 0;
  outline: 0;
  font-size: 100%;
  vertical-align: baseline;
  background: transparent; }

body {
  line-height: 1; }

article, aside, details, figcaption, figure,
footer, header, hgroup, menu, nav, section {
  display: block; }

nav ul {
  list-style: none; }

blockquote, q {
  quotes: none; }

blockquote:before, blockquote:after,
q:before, q:after {
  content: '';
  content: none; }

a {
  margin: 0;
  padding: 0;
  font-size: 100%;
  vertical-align: baseline;
  background: transparent; }

/* change colours to suit your needs */
ins {
  background-color: #ff9;
  color: #000;
  text-decoration: none; }

/* change colours to suit your needs */
mark {
  background-color: #ff9;
  color: #000;
  font-style: italic;
  font-weight: bold; }

del {
  text-decoration: line-through; }

abbr[title], dfn[title] {
  border-bottom: 1px dotted;
  cursor: help; }

table {
  border-collapse: collapse;
  border-spacing: 0; }

/* change border colour to suit your needs */
hr {
  display: block;
  height: 1px;
  border: 0;
  border-top: 1px solid #cccccc;
  margin: 1em 0;
  padding: 0; }

input, select {
  vertical-align: middle; }

body {
  font-family: 'Open Sans', sans-serif;
  background: none transparent; }

h1, h2, h3, h4, h5, h6, em, b {
  font-family: 'Nunito', sans-serif;
  font-weight: 800; }

#stage {
  max-width: 960px;
  max-height: 550px; }

main {
  width: 100%;
  height: 100%; }

.menu {
  width: 60%;
  margin: 1em auto;
  height: 140px; }
  .menu-title {
    font-size: 3em;
    text-align: center;
    clear: both; }
  .menu-options {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -ms-flex-wrap: wrap;
        flex-wrap: wrap; }
  .menu-option {
    -webkit-box-flex: 1;
        -ms-flex: 1 1 120px;
            flex: 1 1 120px;
    /* Rectangle 5: */
    background: #FFFFFF;
    -webkit-box-shadow: 0 2px 4px 0 rgba(0, 0, 0, 0.5);
            box-shadow: 0 2px 4px 0 rgba(0, 0, 0, 0.5);
    border-radius: 8px;
    display: block;
    text-align: center;
    height: 0px;
    padding-top: 180px;
    position: relative;
    cursor: pointer;
    margin: 1em;
    color: #FFFFFF; }
    .menu-option-frame {
      background: #15A477;
      border-radius: 8px;
      margin: 5%;
      position: absolute;
      top: 0;
      width: 90%;
      height: 84%; }
    .menu-option img {
      height: 35%; }
    .menu-option h2 {
      font-size: 1.5em;
      padding: .4em; }
    .menu-option p {
      font-size: 1em;
      padding: .2em 1em;
      line-height: 1.3; }

.feedback-modal-panel, .modal-panel {
  width: 40%;
  left: 30%;
  top: 20%;
  margin: 1em auto;
  height: auto;
  background-color: #fff;
  -webkit-box-shadow: 0 2px 4px 0 rgba(0, 0, 0, 0.5);
          box-shadow: 0 2px 4px 0 rgba(0, 0, 0, 0.5);
  border-radius: 8px;
  position: absolute;
  z-index: 99;
  text-align: center; }
  .feedback-modal-panel h2, .modal-panel h2 {
    margin: 20px;
    background-color: #95BA37;
    font-size: 1.8em;
    line-height: 1.2;
    text-align: center;
    padding: 10px;
    height: auto;
    border-radius: 5px; }
    .feedback-modal-panel h2.wrong, .modal-panel h2.wrong {
      background-color: #A4152E; }
  .feedback-modal-panel .button, .modal-panel .button {
    font-size: 1.8em;
    margin: 0px auto 20px auto;
    display: inline-block; }

.exit-panel {
  width: 520px;
  top: 10%;
  left: 50%;
  margin-left: -260px;
  height: auto;
  background-color: #fff;
  -webkit-box-shadow: 0 2px 4px 0 rgba(0, 0, 0, 0.5);
          box-shadow: 0 2px 4px 0 rgba(0, 0, 0, 0.5);
  border-radius: 8px;
  position: absolute;
  z-index: 99;
  top: 20%;
  z-index: 1; }
  .exit-panel h1 {
    margin: 20px;
    background-color: #0DA4C3;
    font-size: 2em;
    line-height: 1.4em;
    text-align: center;
    height: 70%;
    border-radius: 5px; }
    .exit-panel h1.wrong {
      background-color: #A4152E; }
    .exit-panel h1 span {
      font-size: .7em;
      display: block;
      margin-top: .2em;
      line-height: 1.5;
      margin-bottom: .5em; }
  .exit-panel a {
    padding: .2em .4em .2em .4em;
    text-decoration: none;
    text-align: center;
    display: inline-block;
    width: 130px;
    border-radius: 21.66667px;
    border-radius: 15px;
    margin: .5em auto;
    color: #fff;
    background: #03223F;
    font-family: 'Nunito';
    font-weight: 900;
    -webkit-box-shadow: 0 3px 0 2px #FFFFFF;
            box-shadow: 0 3px 0 2px #FFFFFF;
    cursor: pointer;
    margin: .5em auto;
    font-size: 2em;
    display: block; }
    .exit-panel a:hover {
      background-color: #073764;
      -webkit-box-shadow: 0 5px 0 2px #FFFFFF;
              box-shadow: 0 5px 0 2px #FFFFFF; }
  .exit-panel h1 {
    font-size: 4em; }
    .exit-panel h1 span {
      font-size: 0.4em; }
  .exit-panel .next-actions {
    text-align: center; }
    .exit-panel .next-actions a {
      padding: .2em .4em .2em .4em;
      text-decoration: none;
      text-align: center;
      display: inline-block;
      width: 145px;
      border-radius: 24.16667px;
      border-radius: 15px;
      margin: .5em auto;
      color: #fff;
      background: #03223F;
      font-family: 'Nunito';
      font-weight: 900;
      -webkit-box-shadow: 0 3px 0 2px #FFFFFF;
              box-shadow: 0 3px 0 2px #FFFFFF;
      cursor: pointer;
      margin: .5em auto;
      padding-top: 0.7em;
      padding-bottom: 0.7em;
      font-size: 1.2em;
      display: inline-block; }
      .exit-panel .next-actions a:hover {
        background-color: #073764;
        -webkit-box-shadow: 0 5px 0 2px #FFFFFF;
                box-shadow: 0 5px 0 2px #FFFFFF; }
  .exit-panel .fireworks {
    position: absolute;
    z-index: 999;
    background-color: red;
    top: 0px;
    left: 0px;
    pointer-events: none; }
    .exit-panel .fireworks .star {
      position: absolute; }
      .exit-panel .fireworks .star .spark {
        width: 50px;
        height: 50px;
        position: absolute;
        background-repeat: no-repeat;
        background-position: center center;
        -webkit-transition: -webkit-transform 2800ms ease-out;
        transition: -webkit-transform 2800ms ease-out;
        transition: transform 2800ms ease-out;
        transition: transform 2800ms ease-out, -webkit-transform 2800ms ease-out;
        background-size: contain; }
        .exit-panel .fireworks .star .spark.gold {
          background-image: url("../assets/images/apple.png"); }
        .exit-panel .fireworks .star .spark.red {
          background-image: url(../assets/images/marbles.png); }
        .exit-panel .fireworks .star .spark.purple {
          background-image: url(../assets/images/turnip.png); }
        .exit-panel .fireworks .star .spark.lime {
          background-image: url(../assets/images/coin.png); }
        .exit-panel .fireworks .star .spark.blue {
          background-image: url(../assets/images/red-star.png); }
        .exit-panel .fireworks .star .spark.green {
          background-image: url(../assets/images/gold-star.png); }
    .exit-panel .fireworks.explode .star .spark {
      -webkit-transform: translateY(1200px) scale(0.1);
              transform: translateY(1200px) scale(0.1); }

.exit-animation {
  position: absolute;
  top: 90px;
  left: 0px;
  width: 100%;
  height: 100%;
  z-index: 2;
  pointer-events: none; }
  .exit-animation .arman, .exit-animation .anaya {
    position: absolute;
    -webkit-animation-name: jump;
            animation-name: jump;
    -webkit-animation-duration: 800ms;
            animation-duration: 800ms;
    -webkit-animation-iteration-count: 1500000;
            animation-iteration-count: 1500000;
    width: 250px; }
  .exit-animation .arman {
    left: 20px; }
    .exit-animation .arman svg #right-arm {
      -webkit-animation-name: wave;
              animation-name: wave;
      -webkit-animation-duration: 800ms;
              animation-duration: 800ms;
      -webkit-animation-iteration-count: 1500000;
              animation-iteration-count: 1500000;
      -webkit-transform-origin: left center;
              transform-origin: left center; }
    .exit-animation .arman svg #left-arm {
      -webkit-animation-name: wave;
              animation-name: wave;
      -webkit-animation-duration: 800ms;
              animation-duration: 800ms;
      -webkit-animation-iteration-count: 1500000;
              animation-iteration-count: 1500000;
      -webkit-transform-origin: 50% 55%;
              transform-origin: 50% 55%; }
  .exit-animation .anaya {
    right: 20px; }
    .exit-animation .anaya svg #left-arm-anaya {
      -webkit-animation-name: wave;
              animation-name: wave;
      -webkit-animation-duration: 800ms;
              animation-duration: 800ms;
      -webkit-animation-iteration-count: 1500000;
              animation-iteration-count: 1500000;
      -webkit-transform-origin: right center;
              transform-origin: right center; }
    .exit-animation .anaya svg #right-arm-anaya {
      -webkit-animation-name: wave;
              animation-name: wave;
      -webkit-animation-duration: 800ms;
              animation-duration: 800ms;
      -webkit-animation-iteration-count: 1500000;
              animation-iteration-count: 1500000;
      -webkit-transform-origin: 65% 55%;
              transform-origin: 65% 55%; }

@-webkit-keyframes wave {
  0% {
    -webkit-transform: rotate(0);
            transform: rotate(0); }
  45% {
    -webkit-transform: rotate(-4deg);
            transform: rotate(-4deg); }
  48% {
    -webkit-transform: rotate(-4.5deg);
            transform: rotate(-4.5deg); }
  100% {
    -webkit-transform: rotate(0);
            transform: rotate(0); } }

@keyframes wave {
  0% {
    -webkit-transform: rotate(0);
            transform: rotate(0); }
  45% {
    -webkit-transform: rotate(-4deg);
            transform: rotate(-4deg); }
  48% {
    -webkit-transform: rotate(-4.5deg);
            transform: rotate(-4.5deg); }
  100% {
    -webkit-transform: rotate(0);
            transform: rotate(0); } }

@-webkit-keyframes jump {
  0% {
    -webkit-transform: translateY(0);
            transform: translateY(0); }
  45% {
    -webkit-transform: translateY(-20px);
            transform: translateY(-20px); }
  48% {
    -webkit-transform: translateY(-21px);
            transform: translateY(-21px); }
  100% {
    -webkit-transform: translateY(0);
            transform: translateY(0); } }

@keyframes jump {
  0% {
    -webkit-transform: translateY(0);
            transform: translateY(0); }
  45% {
    -webkit-transform: translateY(-20px);
            transform: translateY(-20px); }
  48% {
    -webkit-transform: translateY(-21px);
            transform: translateY(-21px); }
  100% {
    -webkit-transform: translateY(0);
            transform: translateY(0); } }

.button {
  padding: .2em .4em .2em .4em;
  text-decoration: none;
  text-align: center;
  display: inline-block;
  border-radius: 10%;
  border-radius: 15px;
  margin: .5em auto;
  color: #fff;
  background: #03223F;
  font-family: 'Nunito';
  font-weight: 900;
  -webkit-box-shadow: 0 3px 0 2px #FFFFFF;
          box-shadow: 0 3px 0 2px #FFFFFF;
  cursor: pointer; }
  .button:hover {
    background-color: #073764;
    -webkit-box-shadow: 0 5px 0 2px #FFFFFF;
            box-shadow: 0 5px 0 2px #FFFFFF; }

#stage {
  background-image: url("../assets/images/backdrop.svg");
  -webkit-user-select: none;
     -moz-user-select: none;
      -ms-user-select: none;
          user-select: none; }

.balloon {
  position: absolute;
  width: 149px;
  height: 242px;
  padding-top: 60px;
  font-size: 2em;
  background-image: url("../assets/images/red-balloon.svg");
  background-size: contain;
  background-repeat: no-repeat;
  color: #fff;
  font-family: 'Nunito';
  font-weight: 900;
  -webkit-animation-name: rock;
          animation-name: rock;
  -webkit-animation-duration: 8s;
          animation-duration: 8s;
  -webkit-animation-iteration-count: infinite;
          animation-iteration-count: infinite;
  -webkit-animation-fill-mode: forwards;
          animation-fill-mode: forwards;
  -webkit-user-select: none;
     -moz-user-select: none;
      -ms-user-select: none;
          user-select: none;
  -webkit-tap-highlight-color: rgba(255, 255, 255, 0);
  text-shadow: 0px 1px 3px black;
  -webkit-transform-origin: center center;
          transform-origin: center center;
  text-align: center;
  top: 900px;
  cursor: pointer; }
  .balloon.blue {
    background-image: url("../assets/images/blue-balloon.svg"); }
  .balloon.green {
    background-image: url("../assets/images/green-balloon.svg"); }
  .balloon.yellow {
    background-image: url("../assets/images/yellow-balloon.svg"); }
  .balloon.longer {
    font-size: 1.3em; }
  .balloon.long {
    font-size: 1.4em; }
  .balloon .fireworks {
    position: absolute;
    top: 20%;
    left: 50%;
    z-index: 99; }
    .balloon .fireworks .star .spark {
      width: 50px;
      height: 50px;
      position: absolute;
      -webkit-transition: -webkit-transform 1800ms ease-out;
      transition: -webkit-transform 1800ms ease-out;
      transition: transform 1800ms ease-out;
      transition: transform 1800ms ease-out, -webkit-transform 1800ms ease-out;
      background-size: contain; }
      .balloon .fireworks .star .spark.gold {
        background-image: url("../assets/images/gold-star.png"); }
      .balloon .fireworks .star .spark.red {
        background-image: url("../assets/images/red-star.png"); }
      .balloon .fireworks .star .spark.purple {
        background-image: url("../assets/images/purple-star.png"); }
      .balloon .fireworks .star .spark.lime {
        background-image: url("../assets/images/lime-star.png"); }
      .balloon .fireworks .star .spark.blue {
        background-image: url("../assets/images/blue-star.png"); }
  .balloon.explode {
    -webkit-transition: background 1s ease-in;
    transition: background 1s ease-in;
    background-size: 5px 5px; }
    .balloon.explode .fireworks .star .spark {
      -webkit-transform: translateY(1200px) scale(0);
              transform: translateY(1200px) scale(0); }

.question-bar {
  position: absolute;
  bottom: 0px;
  width: 100%;
  text-align: center;
  pointer-events: none; }
  .question-bar h1 {
    font-size: 5em;
    padding: 20px; }
  .question-bar .score {
    position: absolute;
    right: 0px;
    width: 50px;
    bottom: 0px;
    margin: 10px; }
    .question-bar .score span {
      display: block;
      text-align: center;
      font-size: 3em; }

.intro-panel {
  width: 610px;
  padding: 20px;
  margin: 20px auto;
  height: 500px;
  margin-top: 0px;
  position: relative;
  bottom: -60px; }
  .intro-panel h1, .intro-panel p {
    text-align: center;
    padding: 10px;
    font-size: 2em; }
  .intro-panel img.leader {
    display: block;
    margin: auto; }
  .intro-panel p {
    width: 50%;
    margin: auto; }
  .intro-panel h1 {
    font-size: 4em; }
  .intro-panel img {
    position: absolute;
    pointer-events: none; }

.demo-panel {
  position: relative;
  width: 100%;
  height: 100%;
  overflow: hidden; }
  .demo-panel h1, .demo-panel p {
    text-align: center;
    padding: 10px;
    font-size: 2em; }
  .demo-panel img.leader {
    display: block;
    margin: auto; }
  .demo-panel p {
    width: 50%;
    margin: auto; }
  .demo-panel h1 {
    font-size: 4em; }
  .demo-panel h1 {
    width: 55%;
    margin: 20px auto; }
  .demo-panel .arrow-a {
    width: 141.6px;
    height: 200px;
    -webkit-transform: rotate(160deg);
            transform: rotate(160deg);
    -webkit-transform-origin: left bottom;
            transform-origin: left bottom;
    background-image: url("../assets/images/arrow.svg");
    background-size: contain;
    background-repeat: no-repeat;
    display: block;
    position: absolute;
    left: 32%;
    bottom: 40%; }
  .demo-panel .arrow-b {
    width: 141.6px;
    height: 200px;
    -webkit-transform: rotate(-9deg);
            transform: rotate(-9deg);
    -webkit-transform-origin: left bottom;
            transform-origin: left bottom;
    background-image: url("../assets/images/arrow.svg");
    background-size: contain;
    background-repeat: no-repeat;
    display: block;
    position: absolute;
    right: 15%;
    bottom: 23%; }
  .demo-panel .paragraph-1, .demo-panel .paragraph-2 {
    padding: 10px;
    background-color: #4caf50;
    border: 10px solid #fff;
    border-radius: 20px;
    font-size: 1.4em;
    line-height: 1.3;
    z-index: 3; }
  .demo-panel .paragraph-1 {
    position: absolute;
    width: 320px;
    bottom: 17%;
    left: 3%; }
  .demo-panel .paragraph-2 {
    position: absolute;
    bottom: 26%;
    right: 6%;
    width: 350px; }
  .demo-panel .balloon {
    top: 100%;
    left: 50%;
    -webkit-transition: top 6000ms ease-out;
    transition: top 6000ms ease-out; }
    .demo-panel .balloon.enter {
      top: -50%; }
    .demo-panel .balloon.balloon-1 {
      -webkit-transition: top 4000ms ease-out;
      transition: top 4000ms ease-out;
      -webkit-transition-delay: 3000ms;
              transition-delay: 3000ms; }
      .demo-panel .balloon.balloon-1.enter {
        top: 20%; }
    .demo-panel .balloon.balloon-2 {
      -webkit-transition-delay: 0ms;
              transition-delay: 0ms; }
    .demo-panel .balloon.balloon-3 {
      -webkit-transition-delay: 2500ms;
              transition-delay: 2500ms;
      left: 20%; }
    .demo-panel .balloon.balloon-4 {
      -webkit-transition-delay: 1200ms;
              transition-delay: 1200ms;
      left: 80%; }
  .demo-panel .arrow-a, .demo-panel .arrow-b, .demo-panel .paragraph-1, .demo-panel .paragraph-2, .demo-panel .button, .demo-panel .question-bar {
    visibility: hidden; }
    .demo-panel .arrow-a.enter, .demo-panel .arrow-b.enter, .demo-panel .paragraph-1.enter, .demo-panel .paragraph-2.enter, .demo-panel .button.enter, .demo-panel .question-bar.enter {
      visibility: visible; }
    .demo-panel .arrow-a.leave, .demo-panel .arrow-b.leave, .demo-panel .paragraph-1.leave, .demo-panel .paragraph-2.leave, .demo-panel .button.leave, .demo-panel .question-bar.leave {
      opacity: 0.8; }

.demo .button {
  bottom: 10%;
  position: absolute; }

#stage {
  height: 100%;
  color: #fff; }

.game {
  position: relative;
  height: 100%;
  width: 100%;
  overflow: hidden; }
  .game .feedback-panel {
    position: absolute;
    width: 50%;
    top: 40%;
    left: 25%;
    z-index: 99;
    text-align: center; }
    .game .feedback-panel h1 {
      font-size: 9em; }

@-webkit-keyframes rock {
  0% {
    -webkit-transform: rotate(0deg);
            transform: rotate(0deg); }
  33% {
    -webkit-transform: rotate(-6deg);
            transform: rotate(-6deg); }
  66% {
    -webkit-transform: rotate(6deg);
            transform: rotate(6deg); }
  100% {
    -webkit-transform: rotate(0deg);
            transform: rotate(0deg); } }

@keyframes rock {
  0% {
    -webkit-transform: rotate(0deg);
            transform: rotate(0deg); }
  33% {
    -webkit-transform: rotate(-6deg);
            transform: rotate(-6deg); }
  66% {
    -webkit-transform: rotate(6deg);
            transform: rotate(6deg); }
  100% {
    -webkit-transform: rotate(0deg);
            transform: rotate(0deg); } }
